%global momorel 2

Name:           perl-DateTime-Format-HTTP
Version:        0.39
Release:        %{momorel}m%{?dist}
Summary:        Date conversion routines
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DateTime-Format-HTTP/
Source0:        http://www.cpan.org/authors/id/C/CK/CKRAS/DateTime-Format-HTTP-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-DateTime >= 0.17
BuildRequires:  perl-libwww-perl >= 1.44
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Test-Simple
Requires:       perl-DateTime >= 0.17
Requires:       perl-libwww-perl >= 1.44
Requires:       perl-Test-Simple >= 0.47
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides functions that deal the date formats used by the HTTP
protocol (and then some more).

%prep
%setup -q -n DateTime-Format-HTTP-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes CREDITS LICENSE README
%{perl_vendorlib}/DateTime/Format/HTTP*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.39-2m)
- full rebuild for mo7 release

* Sat Jul  3 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.39-1m)
- update to 0.39

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.38-7m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.38-6m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.38-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Aug 25 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.38-4m)
- expand BuildRequires

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.38-3m)
- rebuild against perl-5.10.1

* Mon Jun 01 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.38-2m)
- modify BuildRequires

* Fri May 29 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.38-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
